Subject: Re: bug#41615: [feature/native-comp] Dump prettier C code.

From: Nicolas Bértolo <[email-masked]>
Date: Mon, 1 Jun 2020 20:11:44 -0300

> As I commented early I think this would be not ideal.  The trick of the
> negation is done already in emit_cond_jump and regarding the cast
> operation I think is important to keep the C semantic (that is the one
> we have).

Sorry, my bad. I reread your emails and I understood them backwards. I thought
you didn't mind conversions that discarded data for integer->integer casts.

> We should take what is now cast_type (add the sign information) call it
> something like comp_type and use it allover.  So that when we initialize
> a type all the information is in one place and is not duplicated.

> If you like to pick this task would be very welcome.

I'm still chasing the bug that causes Emacs to crash when accessing the
all_loaded_comp_units_h weak hash table.  When I finish with it I will take a
look at this.

Thanks

Nico